Subject: Re: bug#17369: 24.4.50; several lines form a block of lines after inserting paren
From: Eli Zaretskii <[email-masked]>
To: Jarek Czekalski <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Apr 2014 17:29:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 29 Apr 2014 10:54:26 +0200
> From: Jarek Czekalski <[email-masked]>
> 
> 
> To reproduce start emacs -Q and:
> 1. Type the following contents
> a
> {
> b
> }
> 2. Confirm that while standing on "b" and pressing END you just land 
> after the "b".
> 3. After "a" insert "{" and delete it
> 4. Try to END from "b", and notice you land at the end of the file.
> 
> Expected behaviour: In step 4 we should land after "b".

You are using an outdated version of the trunk:

> In GNU Emacs 24.4.50.4 (i686-pc-mingw32)
>   of 2014-04-22 on BONSOFTW7
> Repository revision: 116990 
> [email-masked]

I'm quite sure this problem was fixed (I think in the very next trunk
revision, 116991).  At least I cannot reproduce it with today's trunk.

I'm closing the bug; feel free to reopen and add details if you
succeed to reproduce with the latest trunk.